#
# spec file for package python-Flask-Cache
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-Flask-WTF
Version:        0.11
Release:        4.2
Url:            http://github.com/lepture/flask-wtf
Summary:        WTForms support for Flask
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/F/Flask-WTF/Flask-WTF-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-Sphinx
BuildRequires:  python-WTForms
BuildRequires:  python-Werkzeug
BuildRequires:  fdupes
Requires:       python-Flask
Requires:		python-Werkzeug
Requires:       python-WTForms
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Adds WTForms support to your Flask application

%package doc
Summary:        Documentation for python-Flask-WTF
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
This package contains HTML documentation, including tutorials and API
reference for python-Flask-WTF.

%prep
%setup -q -n Flask-WTF-%{version}

%build
python setup.py build
cd docs && make html && rm _build/html/.buildinfo # Generate HTML documentation
 
%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%files doc
%defattr(-,root,root)
%doc docs/_build/html

%changelog
* Wed Mar 25 2015 aboe76@gmail.com
- Updated to 0.11
  - Use the new reCAPTCHA API via #164.
  - Add configuration: WTF_CSRF_HEADERS via #159.
  - Support customize hidden tags via #150.
  - And many more bug fixes
* Wed Oct 22 2014 aboe76@gmail.com
- Updated to 0.10.2
  - Update translation for reCaptcha via #146.
  - Update RECAPTCHA API SERVER URL via #145.
  - Update requirement Werkzeug>=0.9.5
  - Fix CsrfProtect exempt for blueprints via #143.
  - Add configuration: WTF_CSRF_METHODS
  - Support WTForms 2.0 now
  - Fix csrf validation without time limit (time_limit=False)
  - CSRF exempt supports blueprint #111.
* Wed Jul  2 2014 aboe76@gmail.com
- Updated to 0.9.5
- Add configuration: WTF_CSRF_METHODS.
* Wed Feb 12 2014 aboe76@gmail.com
- Initial Upload: Flask-WTF 0.8.4 Released 2013/12/20
- Bugfix for csrf module when form has a prefix
- Compatible support for wtforms2
- Remove file API for FileField
